module abort_mod
  implicit none

  contains
  
  !!!Abort execution
  subroutine dynamico_abort( message )
    use mpi_mod
    implicit none
    character(len=*), optional :: message
    integer :: ierr
    
    !$omp single
    print *, "Abort !"
    if(present(message)) print *, message
    call MPI_Abort(MPI_COMM_WORLD, -1, ierr)
    !$omp end single
  end subroutine
end module
